View Issue Details

IDProjectCategoryView StatusLast Update
0001369SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.2 
Target Version3.5.3Fixed in Version3.5.3 
Summary0001369: Alter generated by table upgrade that requires a rebuild of the table, and includes the addition or removal of columns, fails
DescriptionAlter generated by table upgrade that requires a rebuild of the table, and includes the addition or removal of columns, fails

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d92aff21

2013-08-06 19:54:17

chenson

Details Diff
0001369: Alter generated by table upgrade that requires and rebuild of the table and includes the addition or removal of columns fails
0001369
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Database.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

SymmetricDS: master 3786fadf

2013-08-06 21:34:22

chenson

Details Diff
0001369: Alter generated by table upgrade that requires and rebuild of the table and includes the addition or removal of columns fails
0001369
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/PrimaryKeyChange.java Diff File

Issue History

Date Modified Username Field Change
2013-08-06 19:53 chenson New Issue
2013-08-06 19:53 chenson Status new => assigned
2013-08-06 19:53 chenson Assigned To => chenson
2013-08-06 19:54 chenson Status assigned => resolved
2013-08-06 19:54 chenson Fixed in Version => 3.5.3
2013-08-06 19:54 chenson Resolution open => fixed
2013-08-10 19:13 chenson Status resolved => closed
2013-08-10 19:20 chenson Summary Alter generated by table upgrade that requires and rebuild of the table and includes the addition or removal of columns fails => Alter generated by table upgrade that requires a rebuild of the table, and includes the addition or removal of columns, fails
2013-08-10 19:20 chenson Description Updated View Revisions
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7608
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7610
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3786fadf
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d92aff21